Create Execution
POST
https://bank.dattaremit.com/api/executionsRequires a bank-scoped key.
Creates an execution.
## Create a plan execution
| State | Description |
|---|---|
| storing | The Platform is storing the execution details in our private store |
| executing | The Platform is executing the plan |
| completed | The Platform has successfully completed the plan execution |
| failed | The Platform was not able to successfully complete the plan execution |
## Remittance failure codes
| Code | Description |
|---|---|
| compliance_rejection | The payout was rejected due to a compliance or sanctions screening hit |
| invalid_destination | The payout was rejected because the beneficiary details are invalid or not accepted by the payout partner |
| party_name_invalid | The payout was rejected due to invalid sender or beneficiary name fields |
| cancelled | The payout was cancelled |
| reversed | The payout was reversed |
| external_vendor_error | The payout failed due to vendor-side limits, transient unavailability, or duplicate detection |
| market_volatility | The payout failed due to market volatility preventing quote execution |
| no_quote | The payout failed because no valid payout quote was available |
| internal_server_error | The payout failed due to an internal platform error |
| invalid_quote_amount | The payout failed due to an invalid quote amount |
| not_filled | The payout could not be filled |
Required scope: executions:execute
Body Params
requiredplan_guidstringrequiredThe unique identifier for the plan.
sardine_session_guidstringThe GUID of a previously created Sardine session. Used to correlate device signals from the Sardine SDK with the execution screening.
Responses
201execution created
400Invalid requests
401Unauthorized - Authentication failed
403Invalid scope
422Unprocessable Content
Request
curl https://api.dattaremit.com/api/executions \
-X POST \
-H "Authorization: Bearer sk_test_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"plan_guid": "string",
"sardine_session_guid": "string"
}'Response
execution created
{
"guid": "string",
"type": "string",
"plan_guid": "string",
"bank_guid": "string",
"customer_guid": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"state": "string",
"failure_code": "string",
"source_account": {
"guid": "string",
"type": "string",
"organization_guid": "string",
"bank_guid": "string",
"customer_guid": "string",
"counterparty_guid": "string",
"asset": "string",
"requested_amount": 1,
"quoted_amount": 1,
"executed_amount": 1,
"payment_rail": "ach"
},
"destination_account": {
"guid": "string",
"type": "string",
"organization_guid": "string",
"bank_guid": "string",
"customer_guid": "string",
"counterparty_guid": "string",
"asset": "string",
"requested_amount": 1,
"quoted_amount": 1,
"executed_amount": 1,
"payment_rail": "ach"
},
"stages": [
{
"guid": "string",
"type": "string",
"state": "string",
"failure_code": "string",
"identifiers": [
{
"type": "string",
"value": "string"
}
],
"links": [
{
"type": "string",
"value": "string"
}
],
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"source_account": {
"guid": "string",
"type": "string",
"organization_guid": "string",
"bank_guid": "string",
"customer_guid": "string",
"counterparty_guid": "string",
"asset": "string",
"requested_amount": 1,
"quoted_amount": 1,
"executed_amount": 1,
"payment_rail": "ach"
},
"destination_account": {
"guid": "string",
"type": "string",
"organization_guid": "string",
"bank_guid": "string",
"customer_guid": "string",
"counterparty_guid": "string",
"asset": "string",
"requested_amount": 1,
"quoted_amount": 1,
"executed_amount": 1,
"payment_rail": "ach"
},
"fees": [
{
"type": "string",
"asset": "string",
"quoted_amount": 1,
"executed_amount": 1
}
],
"deposit_return_details": {
"returned_at": "2026-07-20T16:27:51.438Z",
"return_code": "string"
},
"withdrawal_return_details": {
"returned_at": "2026-07-20T16:27:51.438Z",
"return_code": "string"
}
}
],
"fees": [
{
"type": "string",
"asset": "string",
"quoted_amount": 1,
"executed_amount": 1
}
],
"holds": [
{
"type": "customer_hold_duration",
"state": "active",
"started_at": "2026-07-20T16:27:51.438Z",
"completed_at": "2026-07-20T16:27:51.438Z",
"eta_at": "2026-07-20T16:27:51.438Z"
}
],
"travel_rule_info": {
"originating_party": {
"type": "string",
"participant_guid": "string"
},
"receiving_party": {
"type": "string",
"participant_guid": "string"
},
"ultimate_originating_party": {
"type": "string",
"participant_guid": "string"
},
"ultimate_receiving_party": {
"type": "string",
"participant_guid": "string"
}
},
"purpose_of_transaction": "computer_services",
"references": [
{
"type": "returned_execution",
"guid": "string"
}
],
"labels": [
"string"
]
}